Skip to main content
POST
/
v1
/
discovery
/
connections
Create discovery connection
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/discovery/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "configName": "<string>",
  "databaseName": "<string>",
  "databaseType": "<string>",
  "host": "<string>",
  "port": 32768,
  "userName": "<string>",
  "password": "<string>",
  "schema": "<string>"
}
'
{
  "id": "<string>",
  "configName": "<string>",
  "databaseType": "<string>",
  "status": "<string>",
  "schemaDiscovered": true,
  "lastSeenAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Body

application/json
configName
string
required

Connection configuration name

Minimum string length: 1
Example:

"prod-ledger-db"

databaseName
string
required

Database name

Minimum string length: 1
Example:

"ledger"

databaseType
string
required

Database engine type; canonical token or a common alias (e.g. postgres -> POSTGRESQL, mysql -> MYSQL)

Minimum string length: 1
Example:

"POSTGRESQL"

host
string
required

Database host

Minimum string length: 1
Example:

"db.internal.example.com"

port
integer<int64>
required

Database TCP port (1-65535)

Required range: 1 <= x <= 65535
Example:

5432

userName
string
required

Database user name the connection authenticates as

Minimum string length: 1
Example:

"matcher_ro"

password
string
schema
string

Optional schema/namespace within the database

Example:

"public"

Response

Created

A discovered Fetcher database connection

id
string

Internal identifier for the connection

configName
string

Name of the Fetcher configuration that produced this connection

databaseType
string

Type of database (e.g. postgres, mysql)

status
string

Current connection status

schemaDiscovered
boolean

Whether the table schema has been discovered for this connection

lastSeenAt
string

Timestamp when this connection was last observed in Fetcher